package com.brilliance.isc.vo.model;


import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.apache.commons.compress.utils.Lists;

import java.io.Serializable;
import java.util.List;

@Data
@JsonIgnoreProperties
public class TcrgrpVo extends AbstractCommonVo implements Serializable {

    /**
     * tcr表
     */
    private TcrVo ads;

    /**
     * tda表
     */
    private TdaVo bas;

    /**
     * Tbz类型 list集合
     */
    private List<TbzVo> tbz;

    @Override
    public void reset() {
        if (ads == null) {
            ads = new TcrVo();
        }

        if(bas == null){
            bas = new TdaVo();
        }

        if (tbz == null) {
            tbz = Lists.newArrayList();
        }
    }
}
